Subject: Re: [Sipping] Question on draft-ietf-sipping-v6-transition

From: "Vijay K. Gurbani" <[email-masked]>
Date: Mon, 02 Oct 2006 00:01:35 -0500

Livio Torrero wrote:
> I have a question on this draft concerning the behaviour of a dual-stack 
> UA. Consider the configuration shown here:  
> 
> UA A------Proxy A------------------Proxy B-------UA B.
> 
>  Assume that UA A, Proxy A and Proxy B are dual-stack, while UA B is 
> IPv4 only. Suppose that UA A wants to send an INVITE request to UA B: 
> since the next hop (Proxy A) is dual-stack, it sends the request through 
> IPv6; for this reason UA A has chosen its IPv6 address and has placed it 
> in the Contact header of the INVITE request. Since proxy B is dual-stack 
> too, proxy A forwards the request using IPv6. Then the request reaches 
> Proxy B that can reach UA B only using IPv4: this means that Proxy B 
> adds a record-route header to the INVITE and delivers it to UA B using 
> IPv4 (and proxy B will forward all the future SIP requests belonging to 
> the INVITE dialog). Is this the expected behaviour of this 
> infrastructure? Is it possible to assume that UA B (IPv4 only) will 
> place correctly the URI of UA A in the request-URI of the mid-dialog SIP 
> requests sent to UA A, even though such URI contains an IPv6 address (I 
> know it is supposed to be true for Record-routing entries)?

It should; as long as UA B is rfc3261-compliant, it can at the very
least parse IPv6 references and serialize them.  Since it is an
IPv4-only host, it won't be sending packets to destined to that
IPv6 reference; instead, it will have to depend on Proxy B to send
requests originated from it, so Proxy B would have to R-R (as you
already noted).

Also, note that the draft recommends that UA A put both IPv4 and
IPv6 addresses in the SDP to allow a media session to be established
without incurring additional delay.  The signaling will traverse
through the proxies.

Thanks,

- vijay
-- 
Vijay K. Gurbani  vkg@{lucent.com,research.bell-labs.com,acm.org}
Bell Laboratories, Lucent Technologies, Inc.
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP